Skip to content
Login Sign up

Amazon Seller Profile

Amazon Seller Profile returns the public profile of an Amazon seller, including business details, store link, ratings, and feedback summary.

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key (shared with Amazon).
enginestringyesMust be amazon.
typestringyesMust be seller_profile.
seller_idstringyesThe Amazon seller ID (for example, AAZRLVTNON75Z).
domainstringnoMarketplace domain, default amazon.com.
devicedesktop | mobilenoSimulated device.
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile&seller_id=AAZRLVTNON75Z"
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/sp?seller=AAZRLVTNON75Z",
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "seller_profile",
"seller_id": "AAZRLVTNON75Z"
},
"seller_profile": {
"seller_details": {
"name": "Triplenet Pricing INC",
"store_link": "https://www.amazon.com/s?me=AAZRLVTNON75Z",
"logo": "https://m.media-amazon.com/images/I/11kriIp42uL.jpg",
"rating": 4,
"ratings_total": 4078,
"ratings_positive_percentage": 74,
"business_name": "Delaware",
"business_address": "86 Albe Drive Suite 1C NEWARK DE 19702 US"
},
"feedback_summary": [
{ "positive_percent": 75, "neutral_percent": 1, "negative_percent": 24, "count": 366 },
{ "positive_percent": 74, "neutral_percent": 2, "negative_percent": 24, "count": 4078 }
]
}
}